/*
 * Toast
 *
 *
 * Index
 * - Container
 * - Toast
 * - Feedback color
 * - Feedback icon
 * - Close button
 */


/* CONTAINER
 -------------------- */

:host {
  position: fixed;
  right: 0;
  bottom: 1rem;
  left: 0;
  z-index: 1;
  display: flex;
  justify-content: center;
  width: 328px;
  margin: 0 auto;
  pointer-events: none;
  visibility: hidden;
  opacity: 0;
  transition: opacity .3s ease-in-out,visibility .15s,transform .3s ease-in-out;
  transform: translateY(-100%);
}

@media (min-width: 1200px) {

  :host {
    right: 1.5rem;
    bottom: 3rem;
    left: auto;
    width: auto;
    transform: translateX(100%);
  }
}

/**
 * Open state
 */

:host(.toast-open) {
  visibility: visible;
  opacity: 1;
  transform: none;
}

/* TOAST
 -------------------- */

.toast {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex: 0 0 100%;
  flex-flow: wrap;
  align-items: flex-start;
  width: 328px;
  padding: 0.75rem 2rem 0.6rem 1rem;
  font-family: var(--road-font);
  font-size: var(--road-body-medium);
  line-height: 1.4;
  color: var(--road-on-info-surface-inverse);
  text-align: left;
  background: var(--road-info-surface-inverse);
  border-radius: 0.25rem;
}

@media (min-width: 575px) {

  .toast {
    padding: 1rem;
    margin-right: auto;
    margin-left: auto;
  }
}

/* FEEDBACK COLOR
 -------------------- */

/**
 * Danger
 */

.toast-danger {
  color: var(--road-on-danger-surface-inverse);
  pointer-events: all;
  background: var(--road-danger-surface-inverse);
}

.toast-danger road-icon {
  color: var(--road-danger-icon-inverse);
}

/**
 * Warning
 */

.toast-warning {
  color: var(--road-on-warning-surface-inverse);
  background: var(--road-warning-surface-inverse);
}

.toast-warning road-icon {
  color: var(--road-warning-icon-inverse);
}

/**
 * Success
 */

.toast-success {
  color: var(--road-on-success-surface-inverse);
  background: var(--road-success-surface-inverse);
}

.toast-success road-icon {
  color: var(--road-success-icon-inverse);
}

/**
 * Info
 */

.toast-info {
  color: var(--road-on-info-surface-inverse);
  background: var(--road-info-surface-inverse);
}

.toast-info road-icon {
  color: var(--road-info-icon-inverse);
}

/* FEEDBACK ICON
 -------------------- */

.toast-icon {
  top: auto;
  left: 0.5rem;
  margin-top: -5px;
  margin-right: 0.5rem;
}

@media (min-width: 575px) {

  .toast-icon {
    position: relative;
    top: auto;
    left: auto;
    margin-right: 0.5rem;
  }
}

/* CLOSE BUTTON
 -------------------- */

.toast-close {
  position: absolute;
  right: 0.5rem;
  padding: 0;
  color: inherit;
  cursor: pointer;
  background: none;
  border: 0;
  border-radius: 4px;
  fill: var(--road-info-icon-inverse);
}

.toast-warning .toast-close {
  fill: var(--road-warning-icon-inverse);
}


/**
 * Focus state
 */

.toast-close:focus {
  border-color: var(--road-info-surface-inverse);
  outline: none;
}

/* TOAST LABEL
 -------------------- */

.toast-label{
  width: 240px;
  margin: 0;
}

/* TOAST PORGRESS BAR
 -------------------- */

:host ::slotted(road-progress) {
  position: absolute;
  bottom: -8px;
  left: 0;
  flex-basis: 100%;
  width: 100%;
  margin-top: 0.5rem;
}

/* ANIMATION
 -------------------- */


@keyframes load {

  0% {
    width: 0;
  }

  100% {
    width: 100%;
  }
}
